IRPCVault.GetUserGroup

View as Markdown

Vault API / core write session or assertion returns metadata structure version

Gets one user group with its members.

ServiceVault information MFiles.IRPCVault
gRPC method/MFiles.IRPCVault/GetUserGroup
HTTP (mf-http-grpc)POST /grpc/v1/get-user-group
RequestGetUserGroupRequest
ResponseGetUserGroupResponse
Book and levelVault API, core
Kindwrite
SessionRequired: a session (mfiles-session-id-bin metadata) or a session assertion (x-mf-session-assertion metadata).
Idempotentno
Returns metadata structure versionyes (in the mfiles-metadata-version-bin trailer)
Streamingnone (unary)

Request: GetUserGroupRequest

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
user_groupint32The ID of the user group (positive).

Response: GetUserGroupResponse

Nested message fields are expanded to depth 3; follow a type link for deeper levels and for the type's own page.

FieldTypeDescription
putf8szugbUserGroupBasicThe user group, with its name, type and members.
putf8szugb.idint32The ID of the user group.
putf8szugb.namestringThe name of the group.
putf8szugb.members[]repeated int32The IDs of the members of this group (user accounts and/or user groups).
putf8szugb.typeUserGroupTypeUser group type.Values: USER_GROUP_TYPE_NORMAL (0), USER_GROUP_TYPE_REPOSITORY_USER (1), USER_GROUP_TYPE_REPOSITORY_GROUP (2), USER_GROUP_TYPE_ANY (-1).